Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 226562 - Merge Review: xkeyboard-config
Summary: Merge Review: xkeyboard-config
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Parag AN(पराग)
QA Contact: Fedora Package Reviews List
URL: http://freedesktop.org/wiki/Software/...
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-01-31 21:20 UTC by Nobody's working on this, feel free to take it
Modified: 2010-07-23 08:36 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-07-20 00:58:36 UTC
panemade: fedora-review+


Attachments (Terms of Use)
xkeyboard-config-spec-cleanup.patch (deleted)
2010-07-19 16:31 UTC, Parag AN(पराग)
no flags Details | Diff
spec patch to get rid of awk 'Patch' file extraction madness (deleted)
2010-07-19 16:48 UTC, Michael Schwendt
no flags Details | Diff

Description Nobody's working on this, feel free to take it 2007-01-31 21:20:03 UTC
Fedora Merge Review: xkeyboard-config

http://cvs.fedora.redhat.com/viewcvs/devel/xkeyboard-config/
Initial Owner: krh@redhat.com

Comment 1 Marcin Garski 2007-04-21 13:02:00 UTC
It would be good to add URL:
http://freedesktop.org/wiki/Software_2fXKeyboardConfig and update to 0.9 (bug
237369).

Of course this is not a review :) Just my comment.

Comment 2 Marcin Garski 2007-06-22 10:07:36 UTC
New URL: http://freedesktop.org/wiki/Software/XKeyboardConfig

BTW. Any progress here?

Comment 3 Parag AN(पराग) 2010-07-19 16:00:05 UTC
1)rpmlint reported
xkeyboard-config.src:45: E: use-of-RPM_SOURCE_DIR
===>you use $RPM_SOURCE_DIR or %{_sourcedir} in your spec file. If you have to use
a directory for building, use $RPM_BUILD_ROOT instead.

xkeyboard-config.src: W: patch-not-applied Patch2: 0001-Add-Euro-and-New-Shekel-sign-to-israeli-layout.patch
xkeyboard-config.src: W: patch-not-applied Patch3: 0001-symbols-de-remove-BKSP-from-neo-layout.patch
xkeyboard-config.src: W: patch-not-applied Patch4: 0001-Remove-duplicate-BKSL-key-mappings-from-hin-wx-layou.patch
==>here patch is applied in different way, so ignore this
xkeyboard-config.noarch: W: no-documentation


2)timestamps should be preserved.Use INSTALL="install -p" when installing to preserve timestamps.

3)Should use https://fedoraproject.org/wiki/Packaging/Guidelines#Parallel_make

4) I will suggest this pacakge to follow current packaging guidelines and
remove buildroot, %clean section and cleaning of build root in %install

Comment 4 Parag AN(पराग) 2010-07-19 16:31:09 UTC
Created attachment 432942 [details]
xkeyboard-config-spec-cleanup.patch

I am not sure how to fix rpmlint error message for %{_sourcedir} as this is needed for patches.

Comment 5 Michael Schwendt 2010-07-19 16:48:18 UTC
Created attachment 432948 [details]
spec patch to get rid of awk 'Patch' file extraction madness

Comment 6 Peter Hutterer 2010-07-20 00:58:36 UTC
(In reply to comment #4)
> Created an attachment (id=432942) [details]
> xkeyboard-config-spec-cleanup.patch
> 
> I am not sure how to fix rpmlint error message for %{_sourcedir} as this is
> needed for patches.    

committed, thanks.

(In reply to comment #5)
> Created an attachment (id=432948) [details]
> spec patch to get rid of awk 'Patch' file extraction madness    

call me lazy, but I prefer it that way. saves me from updating two parts of the spec file for patches.

Comment 7 Michael Schwendt 2010-07-21 06:55:36 UTC
Sure, ... I also see the value in the awk command, if to be used with many more than three patch files and no conditionally applied ones. Still, when explicitly using the %{PATCHn} macros, rpmlint and Fedora pkg cvs Makefile at least __could__ try to get the warning about unapplied patches right.

Comment 8 Parag AN(पराग) 2010-07-23 08:36:16 UTC
Marking it as Reviewed. Leaving the applying patch issue to its package maintainer.

APPROVED.


Note You need to log in before you can comment on or make changes to this bug.